Subject: Re: bug#72705: 31.0.50; eglot--dumb-tryc Filters out too much

From: Dmitry Gutov <[email-masked]>
Date: Mon, 26 Aug 2024 02:40:34 +0300

On 25/08/2024 12:53, João Távora wrote:
>>>> Okay, I am seeing a difference too: C-M-i does eat the suffix in the
>>>> Rust example (the "1234"). But completion with Company does not :-/
>>> I can't even get Company to appear in those situations.
>> You might have an older version installed?
> Maybe.

Okay, I've tracked this one down to Company adhering to what completion 
style is being used.

When no completions match the suffix, completion-all-completions falls 
back to c-style 'emacs22' (if it's in completion-styles anyway). And 
when that style is used, we don't replace the suffix. There is a report 
for vanilla completion in bug#70968.

That seems to cover all related issues I've found so far.

Thanks, and closing.